require 'spec_helper'

=begin
  Mock class for testing some generator methods
=end
class MockGenerator
  include ZenturioBatteries::Base::Generator
end

describe ZenturioBatteries::Base::Generator do

  it 'has method that should return list of available options' do
    gen = MockGenerator.new
    gen.methods.include?(:available_options).should eq(true)    
  end  

  it 'has method that should execute option by its handler' do
    gen = MockGenerator.new
    gen.methods.include?(:execute!).should eq(true)    
  end

  it 'can\'t call wrong hanlder' do
    gen = MockGenerator.new
    lambda { gen.execute!(:wrong_handler) }.should raise_exception
  end 

end