require 'spec_helper'

describe ZenturioBatteries::Configs do

  before do    
    @curdir = Dir.pwd
    Dir.mkdir @curdir+'/tmp' unless Dir.exists? @curdir+'/tmp'
    Dir.chdir @curdir+'/tmp'
  end

  after do 
    Dir.chdir @curdir
    Dir[@curdir+'/tmp/*'].each {|f| File.delete(f) }
    Dir.unlink @curdir+'/tmp'
  end

  it 'has at least one option' do
    gen = ZenturioBatteries::Configs.new
    options = gen.available_options

    options.class.should eq(Array)
    options.empty?.should eq(false)
  end

  it 'can generate nginx|unicorn configuration' do    
    gen = ZenturioBatteries::Configs.new
    gen.execute! :unicorn

    File.exists?(Dir.pwd+'/unicorn.rb').should eq(true)
    File.exists?(Dir.pwd+'/nginx.conf').should eq(true)
  end

end